import { AfterViewInit, ElementRef, OnChanges, SimpleChanges } from "@angular/core";
import { StiBarcodeService } from "../../../../services/sti-barcode.service";
import * as i0 from "@angular/core";
export declare class StiSvgImageComponent implements AfterViewInit, OnChanges {
    barcodeService: StiBarcodeService;
    content: ElementRef;
    svg: string;
    constructor(barcodeService: StiBarcodeService);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiSvgImageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiSvgImageComponent, "sti-svg-image", never, { "svg": { "alias": "svg"; "required": false; }; }, {}, never, never, false, never>;
}
